Subject: bug#75933: 29; Disabling smerge-command-prefix results in error

From: Daniel Colascione <[email-masked]>
Date: Sat, 22 Feb 2025 18:10:36 -0500

Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> writes:

>> Ping! How should we proceed with this issue?
>
> Maybe another way to look at it is that it's again bumping into
> `define-keymap`s limitation that you can't easily "deactivate"
> a binding.
>
> We saw that back in the bug#68213: if a keymap is defined where some of
> the key sequences are chosen dynamically (typically coming from a config
> var), we tend to get into trouble where it can be difficult/inconvenient
> to avoid duplicate key bindings (we fixed that problem by demoting that
> error to a warning), and similarly there's no easy way for the user to
> say "no key at all" (which was another way we could have fixed the
> problem in bug#68213).
>
> Maybe we should have an "impossible key sequence" (like we have the
> `regexp-unmatchable`) and offer it in the customization interface?

The question is ill-formed. Why do we have keymaps with bindings based
on random defcustoms in the first place? The proper place to customize a
keymap is the keymap.